List Customer Form Field Values

Returns a list of form field values for the Customer or Customer Address object. To learn about adding and managing form fields, see [Adding and Editing Fields in the Account Signup Form](https://support.bigcommerce.com/s/article/Editing-Form-Fields).

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional

Page number (page will be ignored if you provide before or after in the request). For example page=1.

limitdoubleOptional

Items count per page. limit=50

customer_idintegerOptional
Filter by the customer ID.
address_idintegerOptional
Filter by the ID of the customer address.
field_namestringOptional
Filter by the field name.
field_typeenumOptional
Filter by the field type. * `checkboxes` - checkboxes field * `date` - date field * `multiline` - multiline text field * `numbers` - numbers only field * `password` - password field * `radiobuttons` - radio buttons field * `text` - text field * `picklist` - pick list field
afterstringOptional

The cursor reference of the last entry for the previous page. Use the end_cursor value from the last response to get the next page (end_cursor is only returned on the first page or when the request contains query parameter before or after). For example after=eyJzZXNzaW9uSWQiOjM4LCJmaWVsZElkIjo0MH0.

beforestringOptional

The cursor reference of the first entry for the next page. Use the start_cursor value from the last response to get the previous page (start_cursor is only returned on the first page or when the request contains query parameter before or after). For example before=eyJzZXNzaW9uSWQiOjgsImZpZWxkSWQiOjMxfQ.

Response

datalist of objects
metaobject

Data about the response, including pagination and collection totals. Both pagination and cursor_pagination would be returned in the first page. Only pagination would be returned when page is greater than 1. Only cursor_pagination would be returned when before or after is provided in the request.

Errors

422
Unprocessable Entity Error